## braillegraph 0.3

=== Makefile ===
PROGS=braillegraph
MANS=$(PROGS:%=%.1)
TITLE=braillegraph
#TODO: $(VERSION)

all: $(MANS)
clean:
	rm -f $(MANS)

# If we're in a git repository, most likely the timestamp will be useless
# -- but we can check the last commit date.  When not in git, it's probably
# a tarball with files with good timestamps (use "git restore-mtime" when
# releasing).  If some vandal used quilt, this will be wrong and
# non-reproducible -- but using quilt is wrong, period.
#
# Use perl instead of touch -d @foo because OpenBSD.
%.1: %.pod
	$(QUIET_POD)d=`git log -1 --pretty="format:%ct" $<|cut -f 1 -d ' '`;\
	if test -n "$$d";then perl -e "utime undef,$$d,'$<'";fi;\
	pod2man -c "$(TITLE)" -s 1 -n `basename "$@"|sed 's/\.[0-9]$$//'|tr a-z A-Z` -r "$(VERSION)" -u $< >$@

=== debian/changelog ===
braillegraph (0.3-2) unstable; urgency=medium

  * Add a watch file.
  * dh 13.
  * R³.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 22 Aug 2021 22:59:39 +0200

braillegraph (0.3-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 30 Mar 2017 08:41:24 +0200

braillegraph (0.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop dependency on libgd-perl.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 11 Mar 2017 05:22:21 +0100

braillegraph (0.1-1) unstable; urgency=medium

  * Initial release (Closes: #856033)

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 10 Mar 2017 03:38:40 +0100

=== debian/control ===
Source: braillegraph
Section: math
Priority: optional
Maintainer: Adam Borowski <kilobyte@angband.pl>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/kilobyte/braillegraph
Vcs-Git: https://github.com/kilobyte/braillegraph -b debian
Vcs-Browser: https://github.com/kilobyte/braillegraph/commits/master

Package: braillegraph
Architecture: all
Depends: libterm-size-perl, ${misc:Depends}
Description: simple histogram tool producing text dot-matrix graphs
 This tool lets you plot a single-series histogram on a text dot-matrix
 display by abusing Unicode.  This gives a resolution of 2×4 per character,
 as opposed to the usual single asterisk you get with ASCII.

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v(\d\S+)\.tar\.gz/braillegraph-$1\.tar\.gz/ https://github.com/kilobyte/braillegraph/tags .*\/v(\d\S+)\.tar\.gz
